'tentative title: "Case Closed"

SuperStrict

Framework brl.standardio
Import "graphics.bmx"
Import brl.random

SeedRnd 512


initgraphics "ccdata\graphics.txt"

Global port:tilemap[48]
For Local loadem%=0 To 38
	port[loadem]=tilemap.read("ccdata\portrait_"+loadem+".wtm")
Next
Const areas%=32
Global area:tilemap[areas]
Global mask:tilemap[areas]
For Local loadem%=0 To 13
	area[loadem]=tilemap.read("ccdata\area_"+loadem+".wtm")
	mask[loadem]=tilemap.read("ccdata\area_mask_"+loadem+".wtm")
Next

Global diamap:tilemap=tilemap.Create(gtilesw,8)
Global showdialog%=0
Global conversation:TList=CreateList(),convspeaker:TList=CreateList()

Function handledialog()
	If showdialog<>0 Then
		diamap.draw 0,0
		showdialog:-1
		showdialog:*Not(KeyHit(key_z))
		If showdialog=0 Then
			If conversation.count() Then
				setdialog Int(String(convspeaker.first())),String(conversation.first())
				conversation.remove String(conversation.first())
				convspeaker.remove (String(convspeaker.first()))
			EndIf
		EndIf
	EndIf
End Function
Function setdialog(portnum%,text$,showtime%=-1)
	FlushKeys
	diamap.fill 176,BGREEN,BLACK
	diamap.settile diamap.tmapw-1,6,122,DGRAY,BLACK
	diamap.settile diamap.tmapw-1,7,31,DGRAY,BLACK
	diamap.insertmapimage port[portnum],0,0
	diamap.drawlabel text,10,1,gtilesw-12,6 
	showdialog=showtime
End Function
Function adddialog(portnum%,text$)
	conversation.addlast text
	convspeaker.addlast String(portnum)
End Function


Global gamey%=8



Global sway%=0,mode%=1,stime%=0
Function handlearea(index%)
	area[index].draw 0+((index=5)+(index=8)+(index=10))*sway,8
	If index=5 Or index=8 Or index=10
		If stime=20 sway:+mode;stime=0 Else stime:+1
	EndIf
	If sway>5 mode=-1
	If sway<-5 mode=1
	If KeyDown(key_space) Then SetColor 255,255,255;DrawText "area: "+index,8,24
End Function



Global ulist:TList[areas]
For Local setem%=0 To areas-1
	ulist[setem]=CreateList()
Next
Type unit
	Global unitstmap:tilemap=tilemap.Create(gtilesw,gtilesh-8)
	Field pc%=0 'player-controlled?
	Field x%,y%
	Field color@=WHITE
	Field static%=0,bust%=0
	Field invisible%=0
	Field issway%=0
	Field speech$[24],speaker%[24],spokento%=0
	Method move:unit(xm%,ym%,maskindex%,thislist%)
		If showdialog<>0 Then Return Null
		For Local o:unit=EachIn ulist[thislist]
			If o.x=x+xm And o.y=y+ym Then Return o
		Next
		Local char@,fgc@=WHITE,bgc@=WHITE
		mask[maskindex].grabtile x+xm,y+ym,char,fgc,bgc
		If ((fgc=WHITE Or fgc=BLACK) And bgc=WHITE) Or (pc=0 And fgc=WHITE And bgc=BLACK) Then 
			If Not(pc And fgc=BLACK) Then Return Null
			For Local c:clue=EachIn clues[thislist]
				If c.x=x+xm And c.y=y+ym Then 
					If c.info<>"" Then setdialog 10,c.info
					c.found=1;foundclues:+1;Return Null
				EndIf
			Next
			Return Null
		EndIf
		x:+xm;y:+ym
	End Method
	Method update(onmap:tilemap,maskindex%,thislist%)
		If Not invisible Then
			If issway x:+sway
			If pc
				unitstmap.settile x,y,64,color,60'BLACK
			Else
				unitstmap.settile x,y,1,color,60'BLACK
			EndIf
			If issway x:-sway
		EndIf
		If pc And static
			Local talk:unit=move(keyd-keya,keys-keyw,maskindex,thislist)
			If talk Then
				talk.spokento:+1
				For Local di%=0 To 23
					If talk.speech[di]="" Then Exit
					If di=0 Then setdialog talk.speaker[di],talk.speech[di] Else adddialog talk.speaker[di],talk.speech[di]
				Next
			EndIf
		ElseIf static
			Local axis%=Rand(0,1)
			If static=1 Or Rand(1,static)=1 Then
				move axis*Rand(-1,1),(Not axis)*Rand(-1,1),maskindex,thislist
			EndIf
		EndIf
	End Method
	Function handle(onmap:tilemap,maskindex%,uselist%)
		unitstmap.fill 0,BLACK,BLACK
		For Local u:unit=EachIn ulist[uselist]
			u.update onmap,maskindex,uselist
		Next
		unitstmap.draw 0,8
	End Function
	
	Function add:unit(listindex%,x%,y%,color@,bust%,static%=0,invisible%=0)
		Local u:unit=New unit
		u.x=x;u.y=y;u.color=color;u.static=static;u.invisible=invisible
		ulist[listindex].addlast u
		Return u
	End Function
	Method addline(who%,line$)
		Local insindex%=0
		For Local check%=0 To 23
			insindex=check
			If speech[check]="" Then Exit
		Next
		speech[insindex]=line
		speaker[insindex]=who
	End Method
	
	Function grabplayer:unit(fromlist%)
		For Local u:unit=EachIn ulist[fromlist]
			If u.pc Then Return u
		Next
		Return Null
	End Function
	
End Type


Global lastclue:clue
Global clues:TList[areas]
For Local setem%=0 To areas-1
	clues[setem]=CreateList()
Next
Type clue
	Field x%,y%,info$,found%=0
	Function add:clue(list%,info$)
		Local c:clue=New clue
		c.info=info
		Local found%=0
		For Local findy%=0 To mask[list].tmaph-1
		For Local findx%=0 To mask[list].tmapw-1
			Local char@,fgc@,bgc@
			mask[list].grabtile findx,findy,char,fgc,bgc
			If fgc=BLACK And bgc=WHITE Then 
				If found=clues[list].count() Then
					c.x=findx;c.y=findy
					clues[list].addlast c
					Return c
				EndIf
				found:+1
			EndIf
		Next
		Next
	End Function
End Type


Global courtlawyer:unit
Global courtbaliff:unit
Global courtplayer:unit
Global houseplayer:unit
Global houserival:unit
Global yardincar:clue
Global yardplayer:unit
Global yardrival:unit
Global yardmilkman:unit
Global officeplayer:unit
Global officebaliff:unit
Global jailbaliff:unit
Global milkrival:unit
Global gangdriver:unit
Global gordondriver:unit
Global playerdriver:unit
Global playerrival:unit



Function clearstuff()
	For Local byebyes%=0 To areas-1
		ClearList clues[byebyes]
		ClearList ulist[byebyes]
	Next
End Function

Function initstuff()
Local u:unit

'intro courtroom
'jury
u=unit.add(1,11,7,LGREEN,2,280)
u=unit.add(1,10,8,LAQUA,2,290)
u=unit.add(1,11,11,WRED,2,299)
u=unit.add(1,10,9,LGREEN,2,280)
u=unit.add(1,10,12,LAQUA,2,290)
u=unit.add(1,11,6,WRED,2,299)
u=unit.add(1,28,7,LGREEN,2,280)
u=unit.add(1,28,8,LAQUA,2,290)
u=unit.add(1,29,11,WRED,2,299)
u=unit.add(1,29,9,LGREEN,2,280)
u=unit.add(1,29,12,LAQUA,2,290)
u=unit.add(1,28,6,WRED,2,299)
'judge
u=unit.add(1,19,3,DGREEN,2,0)
'player's lawyer
u=unit.add(1,23,12,DGRAY,0,0)
courtlawyer:unit=u
'other guy and his lawyer
u=unit.add(1,16,12,AQUA,0,0)
u=unit.add(1,15,12,DGRAY,0,0)
'baliff
u=unit.add(1,20,8,DGRAY,0,0)
courtbaliff:unit=u
'player
u=unit.add(1,24,12,LGRAY,0,0)
u.pc=1
courtplayer:unit=u

'intro prison
'inmates
u=unit.add(2,26,14,GOLD,2,80)
u=unit.add(2,20,14,GOLD,2,80)
u=unit.add(2,13,7,GOLD,2,80)
'player
u=unit.add(2,20,8,LGRAY,0,0)
u.pc=1

'murder victim's home
clue.add 3,"There's a Bible on the nightstand. It's open to Phillipians. There's a name in the front. It belongs to a Walter Jones."
clue.add 3,"A gray shirt. It appears to have some light scorch marks all over. The cuffs smell of gunpowder."
clue.add 3,"A green blouse. It's very clean and looks like something the victim would wear."
clue.add 3,"A pair of dark blue jeans. There are some light scorch marks all over."
clue.add 3,"On the night stand are glasses, hearing aids, and dentures. There is also a grocery list for ham, brown sugar, cinnamon, and apples."
clue.add 3,"The bed is neatly made. The pillows have fresh imprints of a head in them."
clue.add 3,"The bed is roughly made. The pillows have fresh imprints of a head in them. This was the victim's bed."
clue.add 3,"The bed is neatly made. The pillows have fresh imprints of a head in them."
clue.add 3,"The bed is neatly made. The pillows have fresh imprints of a head in them."
clue.add 3,"Inside the top drawer of the dresser there is a blank passport in the victim's name."
clue.add 3,"The bed is roughly made. The pillows have fresh imprints of a head in them. This was the victim's bed."
clue.add 3,"The bed is roughly made. The pillows have fresh imprints of a head in them. This was the victim's bed."
clue.add 3,"The shower has evidently been bleached recently. It's completely white. There is a speck of red on the inside of the curtain."
clue.add 3,"The sink has evidently been bleached recently. It's completely white."
clue.add 3,"One of the legs of the stool has a bit of red with hairs stuck to it on its bottom."
clue.add 3,"The shower has evidently been bleached recently. It's completely white. There is a speck of red on the inside of the curtain."
clue.add 3,"Inside the medicine cabinet behind the mirror are no more than prescriptions expected to be held by the victim."
clue.add 3,"On the dresser there's makeup and what appears to be some very expensive jewelry."
clue.add 3,"In the drawers are nothing more than socks and undergarments."
clue.add 3,"In the drawers are nothing more than socks and undergarments."
clue.add 3,"The dresser is empty except for some bath towels and handkerchiefs."
clue.add 3,"The dresser is empty except for some bath towels and handkerchiefs."
clue.add 3,"On the bookshelf are many various volumes including encyclopedias, romance novels, and theological texts."
clue.add 3,"On the bookshelf are many various volumes including encyclopedias, romance novels, and theological texts."
clue.add 3,"The bookshelf contains various children's toys ranging from wooden blocks to toy guns."
clue.add 3,"The bookshelf contains various children's toys ranging from wooden blocks to toy guns."
clue.add 3,"On the bookshelf are many various volumes including encyclopedias, romance novels, and theological texts."
clue.add 3,"There is 25"+Chr(155)+" in change on top of the dresser. The drawers are empty."
clue.add 3,"The mirror has a hairline crack going down the left side of it."
clue.add 3,"There is a container for makeup on top of the dresser with only cotton swabs and shaving razors inside. The drawers are empty."
clue.add 3,"On the bookshelf are many various volumes including encyclopedias, romance novels, and theological texts."
clue.add 3,"On the bookshelf are many various volumes including encyclopedias, romance novels, and theological texts. A book on semiauto. firearms rests on one shelf."
clue.add 3,"On the bookshelf are many various volumes including encyclopedias, romance novels, and theological texts."
clue.add 3,"Cleaning supplies and a rack of clean knives rest on the countertop."
clue.add 3,"The sink contains two unwashed tea cups and one unwashed plate. The plate has crumbs of bread and ham on it."
clue.add 3,"It's an oven. There's one clean empty pot on one of the stove's burners."
clue.add 3,"Knitting supplies rest on the seat of the wooden rocking chair."
clue.add 3,"The refrigerator contains cheese, butter, a small amount of ham, and a small amount of apple sauce."
clue.add 3,"There's a television."
clue.add 3,"The refrigerator contains cheese, butter, a small amount of ham, and a small amount of apple sauce."
clue.add 3,"There's a cupboard filled sparsely with canned fruit and vegetables."
clue.add 3,"There is a note on the dining table. It's an innocent letter to someone's mother but it's written in some pattern of print and cursive letters."
clue.add 3,"There is a note on the dining table. It's an innocent letter to someone's mother but it's written in some pattern of print and cursive letters."
clue.add 3,"There's a television."
clue.add 3,"It's a wastebin. There's nothing unusual inside it."
clue.add 3,"There's a cupboard filled sparsely with canned fruit and vegetables."
clue.add 3,"There is a note on the dining table. It's an innocent letter to someone's mother but it's written in some pattern of print and cursive letters."
clue.add 3,"There is a note on the dining table. It's an innocent letter to someone's mother but it's written in some pattern of print and cursive letters."
clue.add 3,"The a cupboard contains cups, dishes, and bowls. The drawer contains silverware."
clue.add 3,"There's a cupboard filled with herbs, spices, and seasonings. The cylinder labeled cinnamon is nearly empty."
clue.add 3,"The cupboard contains empty jars and bottles. The lower cupboard contains pots and pans."
'clue.add 3,""
'player
u=unit.add(3,20,19,LGRAY,0,1)
u.pc=1
houseplayer:unit=u
'cop
u=unit.add(3,24,16,AQUA,11,0)
u.addline 11,"This is the victim's milkman. He's the one who found her dead this morning. His name is Walter Baron Jones."
'milkman
u=unit.add(3,24,15,LGRAY,12,0)
u.addline 12,"When I get here to drop off Donna's milk, she normally opens the door and greets me each morning. A lot of times she'd ask me to come in for some food."
u.addline 0,"Did you?"
u.addline 12,"No, never. I have a route to keep so I always told her I didn't have the time, but she always asked anyway. She was really nice, that woman."
u.addline 0,"So what happened when you delivered the milk this morning?"
u.addline 12,"When she didn't come to the door I thought something might be wrong. Her door was unlocked, so I walked in and found her dead."
u.addline 0,"Where was Donna's body when you came inside?"
u.addline 12,"She was dead on the floor near the sofa. It was horrible; there was blood all over the place."
u.addline 11,"We cleaned up the mess and got the body for an autopsy. She had a single blow to the head. It wasn't even that hard, the poor fragile woman."
'rival
u=unit.add(3,20,22,AQUA,3,0)
u.addline 3,"You finished lookin' at the crime scene?"
u.addline 3,"Nah, you know what, don't answer dat. Just come wid me, I gots some people you might want t' talk to. C'mon, foller me."
houserival:unit=u

'house front yard
clue.add 4,"A clean handkerchief is resting on part of the fence."
clue.add 4,"The police car's Maryland registered liscence plate reads G3E-UN77."
yardincar:clue=clue.add(4,"")
'player
u=unit.add(4,20,4,LGRAY,0,1)
u.pc=1
yardplayer:unit=u
'rival
u=unit.add(4,20,3,AQUA,3,0)
u.addline 3,"When yer done talkin' to them witnesses go 'head and get in the car."
yardrival:unit=u
'milkman
u=unit.add(3,20,-1,LGRAY,12,0)
yardmilkman:unit=u
'witnesses
u=unit.add(4,18,7,LGRAY,3,200)
u.addline 0,"You witnessed the events that took place here this morning?"
u.addline 2,"Yeah, it was 'orrible what 'appened to that poor ol' soul."
u.addline 0,"What did you see?"
u.addline 2,"Well, I was just mindin' my own business when suddenly this milkman starts shoutin' to call an ambulance or somethin'."
u.addline 0,"Do you remember seeing the milkman enter the house?"
u.addline 2,"Nah. And thinkin' back, I'm right sure I saw 'im opening the door when he shouted to us, so he 'ad to 'ave been in there with her when it 'appened."
u.addline 0,"Thank you for your time."
u.addline 2,"Nah problem."
u=unit.add(4,14,7,LGREEN,13,200)
u.addline 0,"You saw some of what happened?"
u.addline 13,"Yeah. There was this guy who started shouting for help and all."
u.addline 0,"The milkman?"
u.addline 13,"Yeah. That was him. It was funny though, the guy had a stool in his hands, like the kind what a lady sits on when she does her makeup an' stuff."
u.addline 0,"Was there anything else worth noting?"
u.addline 13,"Not that I can remember, no."
u.addline 0,"Thank you for you time."
'concerned neighbor
u=unit.add(4,19,17,DCYAN,13,200)
u.addline 14,"Who're you?"
u.addline 0,"I'm Jacob Denton. I'm working with the police to find out who killed the woman who lives across the street from you."
u.addline 14,"And what about those two strangers standin' in the front of her home?"
u.addline 0,"You don't know them?"
u.addline 14,"Never seen 'em before in my life. Why?"
u.addline 0,"Nothing; don't mind it. Did you see any of what happened this morning?"
u.addline 14,"I did. The milkman makes his rounds in a zigzag pattern and so he always delivers my milk right before he does Donna's."
u.addline 14,"Sometimes I watch Donna try an' convince Walter to go in and visit with her because their litte quarrels can be real funny sometimes. Who could kill a woman like her?"
u.addline 0,"Go on."
u.addline 14,"Anyway, so I was watchin' him and he opened the door and right away he started yellin' for help. I wasn't sure what to make of it so I just stayed away."
u.addline 0,"Thank you for your time."
u.addline 14,"Anything for y'all boys in blue."

'police office
clue.add 6,"There's a stack of papers full of faces and fingerprints on top of the table."
clue.add 6,"The printer is churning out another paper every few seconds."
clue.add 6,"Papers from the printer are collecting in a tray."
clue.add 6,"There's a login screen. The password field is blank, but the username field was automatically filled in with mwaddams."
clue.add 6,"The computer is switched off."
clue.add 6,"An internet document is on the screen. It's an article praising Detective Gordon's solving of a confounding case."
clue.add 6,"The computer is switched off."
clue.add 6,"A single word, DOOM, dominates the computer screen."
clue.add 6,"It's a red stapler."
clue.add 6,"There's a newspaper clipping pinned to the cubicle wall. It's an article about the extraordinary research of one Doctor Who."
clue.add 6,"It's a wastebin. It's been emptied recently."
clue.add 6,"A plaque on the desk displays the name Robert Allen."
clue.add 6,"The computer is switched off."
clue.add 6,"It's a stack of assorted paperwork."
clue.add 6,"The computer screen shows a half-finished text document, an essay on the nature of fingerprinting."
clue.add 6,"A plaque on the desk displays the name Henry Faulds."
clue.add 6,"It's a stack of assorted paperwork."
clue.add 6,"There's a halfway finished mug of coffee resting on the desk."
clue.add 6,"The computer is displaying a calendar schedule of police events."
clue.add 6,"A plaque on the desk displays the name Casey Vance."
clue.add 6,"It's a stack of assorted paperwork."
clue.add 6,"Someone's meal is on of the desk."
clue.add 6,"It's a stack of assorted paperwork."
clue.add 6,"It's a stack of assorted paperwork."
clue.add 6,"The computer is switched off."
clue.add 6,"A plaque on the desk displays the name Lisa Grant."
clue.add 6,"A plaque on the desk displays the name John McClane."
clue.add 6,"An airline website is displayed on the screen."
clue.add 6,"It's a vending machine full of sweets and junk food."
clue.add 6,"It's a wastebin. There's only food wrappers and disposable dishes and silverware inside."
clue.add 6,"It's a vending machine full of cold beverages."
clue.add 6,"There's a piece of paper on the table. It's a letter to someone's mother, but the letters are an odd pattern or print and cursive characters."
clue.add 6,"There's an empty box of donuts on the table."
clue.add 6,"The refrigerator is empty except for a couple bagged lunches."
clue.add 6,"The refrigerator is empty except for a couple bagged lunches."
clue.add 6,"There is nothing on the countertop."
clue.add 6,"There are some dirty dishes in the sink."
clue.add 6,"It's a microwave oven."
'player
u=unit.add(6,20,16,LGRAY,0,1)
u.pc=1
officeplayer:unit=u
'player's lawyer friend
u=unit.add(6,30,15,LGRAY,5,180)
u.addline 4,"Denton! How's it going, buddy?"
u.addline 0,"Everything's well."
u.addline 4,"You never were one to be generous with words now were you ol' pal - nevertheless I'm glad to hear it!"
u.addline 0,"I'll be seeing you, then."
u.addline 4,"Say, before you go, did you hear about that poor old woman, killed in her own home?"
u.addline 0,"I did."
u.addline 4,"Apparently there are some suspicions that the woman was somehow involved with that origanized crime crowd."
u.addline 0,"How so?"
u.addline 4,"Well, I don't suppose I'm one to say, but I'd lay my money on her being clean as a whistle. Those kinds of fantastic plots never happen outside of Hollywood."
'receptionist/secretary person
u=unit.add(6,19,7,WRED,15,200)
u.addline 15,"Hello. I'm Casey Vance. What is it you need?"
u.addline 0,"Nothing in particular."
u.addline 15,"Well, I think I should consider it a complement that a man as renowned as yourself should be speaking to me on a whim?"
u.addline 0,"Fancy it what you like. I'm just trying to conduct an investigation."
u.addline 15,"Let me guess. It's the murder of that two-faced old woman, am I right?"
u.addline 0,"I'm investigating the murder, yes, but in what way is she two-faced?"
u.addline 15,"Another detective, what was his name? Ah, that's right, it was Gordon. I can't recall anyone mentioning his last name to me."
u.addline 15,"Well, he says he initially suspected the milkman - and in fact he seems certain she did die by his hand - but he claims the motive was part of a grander scheme."
u.addline 0,"How's that? What led him to this conclusion?"
u.addline 15,"He didn't specify. He said it was more of a hunch than anything else."
u.addline 0,"Thank you for the information."
u.addline 15,"Any time."
'police officer from the house earlier
u=unit.add(6,12,10,AQUA,11,70)
u.addline 0,"You're the same officer who was in Donna's house this morning."
u.addline 11,"That I am. And you're Denton, right?"
u.addline 0,"That is correct. What is your opinion on the case?"
u.addline 11,"Well, that other detective, Gordon, thinks the milkman may have been carrying out orders from some higher-up, but I disagree."
u.addline 0,"Why's that?"
u.addline 11,"First of all, the milkman comes across as innocent enough. Secondly, who could have motive for such an organized killing of an elderly woman like that?"
u.addline 0,"But what of the eyewitnesses?"
u.addline 11,"I don't know. Those two struck me as kind of shady in the first place. Don't spread it around, but I'd not be suprised if the two of them were involved."
u.addline 0,"Is that all?"
u.addline 11,"Everything which seems significant, yes."
u.addline 0,"Thank you for your time."
'frustrated printer man
u=unit.add(6,9,4,CYAN,16,110)
u.addline 16,"Excuse me. Sorry to get in your way, I'm just waiting for some papers to finish printing."
'cubicle dweller
u=unit.add(6,25,3,LGREEN,17,0)
u.addline 17,"Hello. Who are you?"
u.addline 0,"I'm Detective Jacob Denton."
u.addline 17,"Detective Denton! Well, my apologies for not recognizing you. I don't exactly get out of the office much."
u.addline 0,"I understand. What have you heard about the killing of that old woman?"
u.addline 17,"I haven't heard much of anything, actually. I suppose I just haven't asked."
u.addline 0,"Thank you for your time."
u.addline 17,"It's no problem."
'baliff
u=unit.add(6,33,6,DGRAY,0,0)
officebaliff:unit=u
u.addline 8,"Yer tryin' to get into the jailhouse? Alright, then. C'mon with me."

'jailhouse
'player
u=unit.add(7,13,10,LGRAY,0,1)
u.pc=1
'baliff
u=unit.add(7,10,11,DGRAY,0,0)
jailbaliff:unit=u
u.addline 8,"Yer done already? Alright then, let's go. Ol' Gordon wants you to go check the suspect - the milkman's - home with him."
'guard
u=unit.add(7,24,10,CYAN,18,0)
u.addline 18,"Any of these guys give you some trouble, just you let me know. I'll be sure they end up real sorry."
u.addline 0,"I don't imagine that'll be necessary."
u.addline 18,"Speak for yourself."
'prisoners
u=unit.add(7,25,10,GOLD,19,0)
u.addline 0,"And you are?"
u.addline 19,"Zachariah Smith. I was put here by that Gordon fellow."
u.addline 0,"Why is that of particular interest to you?"
u.addline 19,"He caused me to be imprisoned for a crime I did not commit."
u.addline 18,"He rattles on like that to everybody he gets a chance to. Almost gets pity out his visitors sometimes."
u.addline 0,"Yes, Mr. Smith. Why are you so persistent? Sir, tell me, how long has this one got to be in jail?"
u.addline 18,"He's been in here for two months and meant to be in here for four more. It was a rather minor crime."
u.addline 19,"A crime which I did not commit!"
u.addline 0,"Of what were you accused?"
u.addline 19,"Mugging an old woman."
u.addline 0,"Interesting. Try to make the best you can of the remainder of your sentence."
u=unit.add(7,27,11,GOLD,20,0)
u.addline 0,"Who are you?"
u.addline 20,"I'm the one who they think killed the mayor's daughter."
u.addline 0,"Did you?"
u.addline 18,"What kind of a question is that? Of couse the scum did it."
u.addline 0,"Answer for yourself, - ahem, what's your name?"
u.addline 20,"Christain Wilson. And no, I had no part in that girl's death."
u.addline 18,"So you say."
u.addline 0,"No use antagonizing the man if we're to get any bit of information out of him."
u.addline 0,"Do you think someone framed you?"
u.addline 20,"I've no idea why else I'd be rotting in jail in their place."
u.addline 0,"Do you have any idea who?"
u.addline 20,"I don't know anyone with a personal grudge against me."
u.addline 0,"Is that a no? You have no suspicions?"
u.addline 20,"I have my suspicions, of course. But not based in certainty."
u.addline 20,"See, the detective who worked on my case - I never did hear his full name mentioned, but his first name is Gordon. Detective Gordon."
u.addline 0,"Please continue."
u.addline 20,"The man ain't right. There were some times when he'd claim he had evidence from a scene I knew he hadn't been to yet."
u.addline 0,"And nobody else noticed?"
u.addline 20,"Being his prime suspect he rarely allowed me to leave his sight. On the other hand, those to whom he showed the evidence were none the wiser."
u.addline 0,"Your claims are interesting. Thank you for your help."
'prisoners inside their cells
u=unit.add(7,13,13,GOLD,20,100)
u=unit.add(7,19,14,GOLD,20,100)
u=unit.add(7,14,8,GOLD,20,100)
'top left prisoner dialog
u=unit.add(7,12,9,GOLD,21,0,1)
u.addline 23,"What're you lookin' at?"
u=unit.add(7,13,9,GOLD,21,0,1)
u.addline 23,"What're you lookin' at?"
'bottom left prisoner dialog
u=unit.add(7,12,12,GOLD,21,0,1)
u.addline 21,"You got a problem with me, detective?"
u=unit.add(7,13,12,GOLD,21,0,1)
u.addline 21,"You got a problem with me, detective?"
'bottom right prisoner dialog
u=unit.add(7,19,12,GOLD,23,0,1)
u.addline 22,"Wit' all due r'spect, mister detective, I suggest yer keep yer eyes some other place 'afore I 'ave to 'urt yer."
u.addline 0,"I'd like to know how you expect to manage that."
u.addline 22,"On th' cont'ary, detective, I don't think that yer would."
u=unit.add(7,20,12,GOLD,23,0,1)
u.addline 22,"Wit' all due r'spect, mister detective, I suggest yer keep yer eyes some other place 'afore I 'ave to 'urt yer."
u.addline 0,"I'd like to know how you expect to manage that."
u.addline 22,"On th' cont'ary, detective, I don't think that yer would."

'walter jones' the milkman house
clue.add 9,"The tub is half-filled with water."
clue.add 9,"The tub is half-filled with water."
clue.add 9,"The tub is half-filled with water."
clue.add 9,"The bed is neatly made."
clue.add 9,"The guest bed is neatly made."
clue.add 9,"The bed is neatly made."
clue.add 9,"The bed is neatly made."
clue.add 9,"The guest bed is neatly made."
clue.add 9,"The guest bed is neatly made."
clue.add 9,"There is nothing notable in the wastebin."
clue.add 9,"There are socks and undergarments in the drawers. There are two tickets to a baseball game on top of it."
clue.add 9,"The dresser is empty except for some towels."
clue.add 9,"The sink is messy, stained with toothpaste and mouthwash."
clue.add 9,"It's a toilet."
clue.add 9,"There's a mirror."
clue.add 9,"The bookshelf contains books of all kinds, but nothing stands out."
clue.add 9,"There's a mirror."
clue.add 9,"There are only painkillers and allergy pills in the medicine cabinet."
clue.add 9,"The roll of toilet paper has recently been replaced."
clue.add 9,"It's a table with knitting supplies on top of it."
clue.add 9,"There are clothes in the drawer."
clue.add 9,"The bookshelf contains books of all kinds, but nothing stands out."
clue.add 9,"The dresser is empty except for some towels."
clue.add 9,"The bookshelf contains English literature and some dictionaries."
clue.add 9,"The bookshelf contains English literature and some dictionaries."
clue.add 9,"The refrigerator contains nothing notable."
clue.add 9,"On the table is a business card which reads, Sleuth: Detective Gordon for Hire $14/hour."
clue.add 9,"On the table is a business card which reads, Sleuth: Detective Gordon for Hire $14/hour."
clue.add 9,"There's assorted food in the pantry and silverware, dishes, pots, and utensils in the drawers."
clue.add 9,"The sink is empty."
clue.add 9,"It's an oven."
clue.add 9,"On the table is a business card which reads, Sleuth: Detective Gordon for Hire $14/hour."
clue.add 9,"On the table is a business card which reads, Sleuth: Detective Gordon for Hire $14/hour."
clue.add 9,"It's a chair. It looks comfortable."
clue.add 9,"It's a television."
clue.add 9,"It's a chair. It looks comfortable."
'player
u=unit.add(9,20,18,LGRAY,0,1)
u.pc=1
'rival
u=unit.add(9,19,19,AQUA,3,0)
milkrival:unit=u
u.addline 0,"Where are we going to go now?"
u.addline 3,"Gonna check up on th' local gang, just to make good sure th' victim had nothin' to do with 'em."

'in the car again
'player
u=unit.add(10,20,12,LGRAY,0,0)
u.issway=1
u.pc=1

'gang place
clue.add 11,"It's a crate. It's difficult to tell what's inside."
clue.add 11,"It's a crate. It's difficult to tell what's inside."
clue.add 11,"It's a crate. It's difficult to tell what's inside."
clue.add 11,"There are some spent shells littering the ground under the bushes."
clue.add 11,"It's a crate. It's difficult to tell what's inside."
clue.add 11,"It's a crate. It's difficult to tell what's inside."
clue.add 11,"There are some spent shells littering the ground under the bushes."
clue.add 11,"It's a crate. It's difficult to tell what's inside."
clue.add 11,"It's a crate. It's difficult to tell what's inside."
clue.add 11,"It's a crate. It's difficult to tell what's inside."
clue.add 11,"The license plate reads 3CZ-V657."
clue.add 11,"The license plate reads ND-4-SPD."
'player
u=unit.add(11,24,20,LGRAY,0,1)
u.pc=1
'driver
u=unit.add(11,10,14,LMAGENTA,0,0)
gangdriver:unit=u
u.addline 36,"Hey man, you look like you need a lift."
u.addline 0,"No kidding. Do you think you could get me to this address?"
u.addline 36,"Where's that at?"
u.addline 0,"Don't worry about it, just get me there."
'gang members
u=unit.add(11,19,6,RED,0,190)
u.addline 37,"Who're you?"
u.addline 0,"I'm a detective looking into the murder of an old woman. We've heard rumors she was a felon herself, and we just want to verify that this isn't correct."
u.addline 37,"You talkin' about Donna? Naw, she was the sweetest lady who ever lived. The only way she'd involved with us was helpin' us to stay outa trouble."
u.addline 37,"She tried real hard for all of us, an' that's why we ain't been stealin' or nothin' since she died. We decided we'd turn ourselves 'round. For her."
u.addline 0,"Sounds exciting. Do you know who may have killed her?"
u.addline 37,"Naw, there wasn't nobody who didn't love Donna more'n anythin'. It woulda taken a monster to steal 'er life from 'er."
u=unit.add(11,21,4,LCYAN,0,110)
u.addline 0,"If you don't mind me asking, what've you got in those crates?"
u.addline 38,"It's a bunch of stuff we'd stole over the years. We're turnin' it all in, for poor Donna."
u.addline 0,"Your gang appears to be turning around completely after Donna's death."
u.addline 38,"We never r'spected 'er enough to stay clean while she was alive; we can at least r'spect 'er memory."

'gordon's place
clue.add 12,"The guest bed is neatly made. It looks that nobody has slept in it for a long while."
clue.add 12,"It's a coat hanger."
clue.add 12,"It's a coat hanger."
clue.add 12,"It's Gordon's bed. It's nicely made. A business card is on top of the sheets, it reads Sleuth: Detective Gordon for Hire $14/hour."
clue.add 12,"The guest bed is neatly made. It looks that nobody has slept in it for a long while."
clue.add 12,"The guest bed is neatly made. It looks that nobody has slept in it for a long while."
clue.add 12,"It's Gordon's bed. It's nicely made. A business card is on top of the sheets, it reads Sleuth: Detective Gordon for Hire $14/hour."
clue.add 12,"It's Gordon's bed. It's nicely made. A business card is on top of the sheets, it reads Sleuth: Detective Gordon for Hire $14/hour."
clue.add 12,"There is nothing on the nightstand."
clue.add 12,"There's a Bible on the nightstand opened to Phillipians."
clue.add 12,"There's nothing on or in the desk."
clue.add 12,"There's nothing on or in the desk."
clue.add 12,"There's nothing on or in the desk."
clue.add 12,"There's nothing on or in the desk."
clue.add 12,"It's a stool with a white splotch slightly covered with hair on the bottom of one of the legs. It appears to have been bleached."
clue.add 12,"There's nothing on or in the desk."
clue.add 12,"It's a simple stool."
clue.add 12,"The contents of the refrigerator are entirely ordinary."
clue.add 12,"The contents of the refrigerator are entirely ordinary."
clue.add 12,"There are some dirty dishes in the halfway-flooded sink."
clue.add 12,"There are assorted silverware, nonperishables, pots, pans, and untensils scattered throughout the pantry."
clue.add 12,"There are assorted dishes, bowls, and china scattered throught the pantry."
clue.add 12,"On the counter lies a shaving razor."
clue.add 12,"The sink is empty. It looks bleached."
clue.add 12,"It's a tuxedo top."
clue.add 12,"It's a tuxedo bottom."
clue.add 12,"There are some scribbled-out business cards on top of the rest of the garbage."
clue.add 12,"It's an oven."
clue.add 12,"It's a shower. The tub looks bleached and the curtain looks new."
clue.add 12,"It's a toilet."
clue.add 12,"It's a blue button-down shirt."
clue.add 12,"It's a television."
clue.add 12,"The bookshelf is filled with various law and military history volumes, along with the odd economics text."
clue.add 12,"The bookshelf is filled with various law and military history volumes, along with the odd economics text."
clue.add 12,"The table holds nothing of interest."
clue.add 12,"The table holds nothing of interest."
clue.add 12,"The bookshelf is filled with various law and military history volumes, along with the odd economics text."
clue.add 12,"The table holds nothing of interest."
clue.add 12,"The table holds nothing of interest."
clue.add 12,"There's a single book on the study desk by the title The Nature of Fingerprinting."
clue.add 12,"The bookshelf is filled with various law and military history volumes, along with the odd economics text."
'player
u=unit.add(12,20,18,LGRAY,0,1)
u.pc=1
'driver
u=unit.add(12,19,20,LMAGENTA,0,0)
gordondriver:unit=u
u.addline 36,"Right. Let's get to your place now."

'player's house
clue.add 13,"It's a dresser. There's casual clothing inside."
clue.add 13,"It's your bed; it's hastily made from when you woke this morning."
clue.add 13,"The bookshelf is primarily dominated by psychology and biology texts. One title stands out: The Nature of Fingerprinting."
clue.add 13,"The bookshelf is primarily dominated by psychology and biology texts."
clue.add 13,"The bookshelf is primarily dominated by psychology and biology texts."
clue.add 13,"It's a dresser. There's casual clothing inside."
clue.add 13,"It's your bed; it's hastily made from when you woke this morning."
clue.add 13,"It's your bed; it's hastily made from when you woke this morning."
clue.add 13,"The shower is extremely clean and the curtains are brand-new. There's a jug of bleach on the tub's floor."
clue.add 13,"The shower is extremely clean and the curtains are brand-new. There's a jug of bleach on the tub's floor."
clue.add 13,"The shower is extremely clean and the curtains are brand-new. There's a jug of bleach on the tub's floor."
clue.add 13,"The Bible on your nightstand is turned to the book of Phillipians."
clue.add 13,"It's a toilet."
clue.add 13,"There are a plethora of drugs of many different types in the medicine cabinet."
clue.add 13,"The sink filled halfway with water and is very clean."
clue.add 13,"There's a lot of office supplies resting on the dresser and in the drawers."
clue.add 13,"It's a blue button-down shirt."
clue.add 13,"There's a hairline crack running down the left side of the mirror."
clue.add 13,"It's a pair of beige slacks."
clue.add 13,"There's a bit of makeup resting on the dresser. The drawers are empty."
clue.add 13,"It's a house plant."
clue.add 13,"It's a television."
clue.add 13,"It's a television."
clue.add 13,"The pantry is filled with canned foods and other nonperishables. There are cooking utensils in the drawer."
clue.add 13,"The pantry is filled with canned foods and other nonperishables. There is silverware in the drawer."
clue.add 13,"It's a wastebasket. It's empty except for a business card reading Sleuth: Detective Gordon for Hire $14/hour."
clue.add 13,"The cabinet is filled with assorted pots and pans."
clue.add 13,"There's an unloaded handgun resting on the table."
clue.add 13,"There's an unloaded handgun resting on the table."
clue.add 13,"The sink is completely empty."
clue.add 13,"It's an oven."
clue.add 13,"There's a grocery list on the counter. It lists ham, brown sugar, cinnamon, and apples."
clue.add 13,"The refrigerator is empty except for a bit of meat and cheese."
clue.add 13,"The refrigerator is empty except for a bit of meat and cheese."
clue.add 13,"There are plates, glasses, and bowls in the cupboard."
'player
u=unit.add(13,20,17,LGRAY,0,1)
u.pc=1
'driver
u=unit.add(13,19,18,LMAGENTA,0,0)
playerdriver:unit=u
'rival
u=unit.add(13,20,22,AQUA,3,0)
playerrival:unit=u


End Function


Rem
Local profiles:tilemap=tilemap.Create(gtilesw,gtilesh)
Local ipx%=0,ipy%=0
For Local insert%=0 To 18
	profiles.insertmapimage port[insert],ipx,ipy
	ipx:+8
	If ipx=>gtilesw Then ipx=0;ipy:+8
Next
Repeat
	Cls
	profiles.draw 0,0
	Flip 1
Until KeyDown(27) Or AppTerminate()
End
EndRem

initstuff


Global doneintro%=0
Global scenevar1%=0,scenevar2%
Global foundclues%=0
Global isendgame%=0

Global inarea%=1'1

Global timer%=0

Global keyw%,keya%,keys%,keyd%
Repeat
	Cls
	keyw%=KeyHit(key_up);keya%=KeyHit(key_left);keys%=KeyHit(key_down);keyd%=KeyHit(key_right)
	
	If inarea=1 And doneintro=0 Then
		If isendgame Then
			setdialog 6,"The defense, Jacob Charles Denton, has been accused of the killing of Donna Williams. The charge is murder of the first degree."
			adddialog 6,"The jury has seen the evidence, and will now come to a verdict."
			adddialog 4,"Cross your fingers, Jacob. Pray they let you off."
			'jurors
			adddialog 24,"The verdict: guilty as charged."
			adddialog 25,"Guilty as charged."
			adddialog 26,"The man's guilty as charged."
			adddialog 27,"The murderer is guilty as charged."
			adddialog 28,"Guilty as charged."
			adddialog 29,"He's guilty as charged."
			adddialog 30,"I say guilty as charged."
			adddialog 31,"No doubt he is guilty as charged."
			adddialog 32,"I say he's guilty as charged."
			adddialog 33,"Guilty as charged."
			adddialog 34,"My verdict is guilty as charged."
			adddialog 35,"The man is guilty as charged."
		EndIf
		If Not isendgame Then setdialog 9,"Press the z key to proceed through dialog. For example, this message will give way to the next one as soon as you hit it."
		adddialog 0,"This is absurd! I've been framed, can't you see?"
		adddialog 4,"There's no helping you now, I'm sorry. You'll receive your final bill within a week."
		adddialog 6,"The jury has determined that the defense, Detective Jacob Charles Denton, is guilty. The sentence is life in prison without parole."
		adddialog 6,"Baliff, take him away."
		doneintro=1
		scenevar1=0
		scenevar2=0
		timer=0
	EndIf
	If inarea=1 Then
		If conversation.count()=0 And showdialog=0 And timer=>320 Then
			inarea=2
			setdialog 7,"I'm not even sure whether or not I really did it anymore. I keep thinking back to that short length of time when it all happened."
			adddialog 7,"There are so many holes and things I just don't know. And now I have to spend the rest of my life in this godforsaken place."
			adddialog 7,"It sure doesn't help that I've been incarcerated with some of the very same people I helped put away."
			timer=0
		ElseIf conversation.count()=0 And showdialog=0
			If courtlawyer.x>19 And timer Mod 10=0 Then courtlawyer.move -1,0,1,1
			If courtbaliff.y<12 And timer Mod 20=0 And scenevar1=0 Then courtbaliff.move 0,1,1,1
			If courtbaliff.y=12 And scenevar2=0 Then setdialog 8,"Yer comin' with me, punk.";scenevar2=1
			If courtbaliff.y=12 And showdialog=0 And scenevar1=0 Then courtbaliff.move 0,-1,1,1;scenevar1=1
			If scenevar1 And timer Mod 20=0 And courtplayer.x>20 Then courtplayer.move -1,0,1,1
			If courtplayer.x=20 And timer Mod 20=0 Then courtplayer.move 0,1,1,1;courtbaliff.move 0,1,1,1
			timer:+1
		EndIf
	ElseIf inarea=2
		If showdialog=0 Then timer:+1
		If timer=120 Then inarea=3;setdialog 9,"Use the arrow keys to move and interact with the environment.";adddialog 9,"Look for clues by pressing the arrow keys in the direction of something you think might be of interest while standing next to it.";foundclues=0;timer=0;scenevar1=0;scenevar2=0
	ElseIf inarea=3
		If foundclues=>10 Then
			If timer Mod 25=0 And houserival.y>19 And scenevar1=0 Then houserival.move 0,-1,3,3
			If houserival.spokento=1 And showdialog=0 And scenevar1=0 Then scenevar1=1
			If scenevar1 And timer Mod 20=0 Then 
				houserival.y:+1;houseplayer.y:+1;houseplayer.static=0
			EndIf
			If houseplayer.y>21 And scenevar1<2 Then timer=0;scenevar1=2
			If scenevar1=2 And timer=>60 Then 
				scenevar1=0;timer=0;inarea=4
				setdialog 3,"I've got a couple witnesses here. Why don'cha talk to 'em a bit?"
			EndIf
			timer:+1
		EndIf
	ElseIf inarea=4
		If yardincar.found Then
			yardincar.found=0
			scenevar1=1
		EndIf
		If scenevar1=1 Then
			yardplayer.x=-1;yardplayer.static=0
			timer:+1
			If timer Mod 20=0 Then yardrival.y:+1
			If yardrival.y=7 Then scenevar1=2;timer=1
		ElseIf scenevar1=2
			If timer Mod 20=0 Then yardrival.x:+1
			If yardrival.x=25 Then scenevar1=3;timer=0
			timer:+1
		ElseIf scenevar1=3 And timer<40
			timer:+1
		ElseIf scenevar1=3
			inarea=5;timer=0
			setdialog 3,"I'm thinkin' we got enough evidence t' convict this guy. You?"
			adddialog 0,"Possibly."
			adddialog 12,"What? You think I killed her? I didn't do it!"
			adddialog 3,"That's what they all say, kid."
			adddialog 12,"I'm tellin' you, I'm innocent! You've gotta believe me!"
		EndIf
	ElseIf inarea=5
		If conversation.count()=0 And showdialog=0 Then inarea=6
	ElseIf inarea=6
		timer:+1
		If officebaliff.spokento=1 And timer Mod 30=0 And showdialog=0 Then
			officeplayer.static=0
			officebaliff.x=-1
			If officeplayer.x=33 Then
				officeplayer.x=-1
			ElseIf officeplayer.x=-1
				inarea=7;timer=0
				setdialog 8,"Yer just come an' let me know when yer finished speaking with 'em."
			Else
				officeplayer.x:+1
			EndIf
		EndIf
	ElseIf inarea=7
		If jailbaliff.spokento=1 And showdialog=0 Then
			inarea=8
			setdialog 3,"So, Denton, yer piecin' everythin' t'gether all right?"
			adddialog 0,"I would suppose so."
			adddialog 3,"Who d'yer think done it?"
			adddialog 0,"I think it's a bit too early to say. The milkman seems genuinely innocent and the two witnesses you found seemed just a bit.. unreliable."
			adddialog 3,"I agree with yer there. I wasn't too certain 'bout 'em myself, but I didn't figure any harm in lettin' 'em have their fair say."
			adddialog 0,"Say, detective Gordon, I don't believe we've truly exchanged introductions yet. I'm-"
			adddialog 3,"Jacob C. Denton, forty-five. Ne'er married, yer ol' sister died in a car crash when she was twelve an' you were nine. Yer fit an' yer consid'rably intelligent."
			adddialog 0,"You read my file?"
			adddialog 3,"Quite so."
			adddialog 0,"Do you not trust me?"
			adddialog 3,"We've arrived."
		EndIf
	ElseIf inarea=8
		If conversation.count()=0 And showdialog=0 Then 
			inarea=9;foundclues=0;timer=0;scenevar1=0
			setdialog 3,"I'll be askin' the neighbors some questions while yer checkin' around here. I'll be back 'afore yer know it."
		EndIf
	ElseIf inarea=9
		timer:+1
		If foundclues=>10 And scenevar1=0 Then
			If milkrival.y=19 Then 
				scenevar1=1;setdialog 3,"Yer just c'mon and let me know when yer set to go." 
			ElseIf timer Mod 20=0
				milkrival.move 0,-1,9,9
			EndIf
		ElseIf scenevar1=0
			If milkrival.y<22 And timer Mod 20=0 And showdialog=0 Then milkrival.y:+1
		ElseIf scenevar1=1 And milkrival.spokento=1 And showdialog=0
			timer=0;inarea=10;scenevar1=0
		EndIf
	ElseIf inarea=10
		timer:+1
		If timer=220 Then
			setdialog 3,"Alright. Now get out of th' car."
			adddialog 0,"I'm sorry?"
			adddialog 3,"Get out. Now. I'll make yer r'gret it if yer don't."
			adddialog 0,"Yes, of course."
		EndIf
		If conversation.count()=0 And showdialog=0 And timer>220 Then timer=0;inarea=11
	ElseIf inarea=11
		If gangdriver.spokento=1 And conversation.count()=0 And showdialog=0 Then 
			setdialog 0,"Thanks for getting me here. I'll be a short while, then could you drive me to my home?"
			adddialog 36,"Sure, no problem. When you're ready to get movin' just let me know."
			adddialog 36,"What're we doin' here, anyway?"
			adddialog 0,"It's the home of a detective who I think is corrupt, and possibly some sort of outright criminal."
			adddialog 36,"You're a detective, too, ain't you?"
			adddialog 0,"That I am."
			inarea=12
		EndIf
	ElseIf inarea=12
		If gordondriver.spokento=1 And conversation.count()=0 And showdialog=0 Then 
			setdialog 0,"You ain't bad, kid. You ain't bad."
			adddialog 36,"I'll just be goin' back then."
			adddialog 0,"Stay out of trouble."
			adddialog 36,"Anything you say, man."
			inarea=13
			foundclues=0
		EndIf
	ElseIf inarea=13
		timer:+1
		If playerdriver.y<22 And timer Mod 40=0 And conversation.count()=0 And showdialog=0 Then playerdriver.y:+1
		If foundclues=>6 And scenevar1=0 Then
			If timer Mod 20=0 And playerrival.y>19 Then playerrival.y:-1
			isendgame=1
			If playerrival.y=19 Then
				setdialog 3,"C'mon wit' me, Denton."
				adddialog 0,"To where?"
				adddialog 0,"No, no, no. How do you have a court summons for me?"
				adddialog 0,"You did not pin this on me."
				adddialog 3,"Don't yer make a fuss, now."
				adddialog 0,"I can't believe this. What's this all about now, is this some sort of joke?"
				adddialog 3,"C'mon, Denton. Yer do th' crime, yer do th' time."
				scenevar1=1
			EndIf
		ElseIf playerrival.y=19 And scenevar1=1 And conversation.count()=0 And showdialog=0 Then
			foundclues=0
			inarea=1
			timer=0
			scenevar1=0
			scenevar2=0
			isendgame=1
			doneintro=0
			clearstuff
			initstuff
		EndIf
	EndIf
	
	handledialog
	handlearea inarea
	unit.handle unit.unitstmap,inarea,inarea
	'If KeyDown(key_space) Then SetColor 255,255,255;DrawText unit.grabplayer(inarea).x+","+unit.grabplayer(inarea).y,8,8
	
	'foundclues:+KeyHit(key_d)
	
	If KeyDown(key_escape) Or AppTerminate() Then End
	Flip
Forever

























